libzypp 17.38.15

RepoVariables.h File Reference
`#include <string>`
`#include <zypp-core/base/Function.h>`
`#include <zypp/base/ValueTransform.h>`
`#include <zypp-core/Url.h>`

Go to the source code of this file.

## Classes
class | zypp::repo::RepoVarExpand
| Functor expanding repo variables in a string. More...
struct | zypp::repo::RepoVariablesStringReplacer
| Functor replacing repository variables. More...
struct | zypp::repo::RepoVariablesUrlReplacer
| Functor replacing repository variables. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Typedefs
using | zypp::RepoVariablesReplacedString = base::ValueTransform<std::string, repo::RepoVariablesStringReplacer>
| relates: RepoVariablesStringReplacer Helper managing repo variables replaced strings
using | zypp::RepoVariablesReplacedStringList = base::ContainerTransform<std::list<std::string>, repo::RepoVariablesStringReplacer>
| relates: RepoVariablesStringReplacer Helper managing repo variables replaced string lists
using | zypp::RepoVariablesReplacedUrl = base::ValueTransform<Url, repo::RepoVariablesUrlReplacer>
| relates: RepoVariablesUrlReplacer Helper managing repo variables replaced urls
using | zypp::RepoVariablesReplacedUrlList = base::ContainerTransform<std::list<Url>, repo::RepoVariablesUrlReplacer>
| relates: RepoVariablesUrlReplacer Helper managing repo variables replaced url lists